読者です 読者をやめる 読者になる 読者になる

pkg upgrade 時に size mismatch, がでる

Fetching gettext-0.18.3.1_1.txz: 100% 2 MB 1.1M/s 00:02
pkg: cached package gettext-0.18.3.1_1: size mismatch, fetching from remote
Fetching gettext-0.18.3.1_1.txz: 100% 2 MB 1.1M/s 00:02
pkg: cached package gettext-0.18.3.1_1: size mismatch, cannot continue


となり、pkg upgrade ができない場合がある。

pkg upgrade -f

で強制的にパッケージリポジトリを更新することで upgrade ができるようになる。